﻿using System.ComponentModel;

namespace SimpleComboDemo {
  /// <summary>
  /// Creates ViewModels (VMs) for named views.
  /// </summary>
  /// <remarks>
  /// This application only has one view.
  /// More sophisticated factory find and instantiate the
  /// appropriate VM for the given name
  /// and would use conventions to find that VM 
  /// based on the view name.
  /// </remarks>
  public class DummyViewModelFactory : IViewModelFactory {

    public object CreateViewModelForView(string viewName) {
      return DesignerProperties.IsInDesignTool ? 
        new MainPageDesignViewModel() : 
        new MainPageViewModel(null);
    }
  }
}