﻿using System;
using System.Collections.Generic;
using IdeaBlade.EntityModel;
using SimpleNorthwindModel;

namespace SimpleComboDemo {

  public class MainPageDesignViewModel : MainPageViewModel {
    /// <summary>
    /// MainPageViewModel to use in design tools as ViewModel for MainPage view.
    /// </summary>
    public MainPageDesignViewModel() {

      EntityManager = new NorthwindManager(false);
      EntityManager.DefaultQueryStrategy = QueryStrategy.CacheOnly;

      var designEmp = new Employee {
        EmployeeID = 1, FirstName = "Ima", LastName = "Blast", ReportsToEmployeeID = 2,
      };
      var designManagerEmp = new Employee {
        EmployeeID = 2, FirstName = "Slim", LastName = "Ornun", ReportsToEmployeeID = null,
      };

      EntityManager.AttachEntity(designEmp);
      EntityManager.AttachEntity(designManagerEmp);

      PotentialManagers = new List<Employee> { designManagerEmp };
      CurrentEmployee = designEmp;
      Messages.Add("We're in DesignTime now !!!");
    }
  }
}
