﻿using System;
using System.ComponentModel;

namespace SimpleComboDemo {
  public class ViewModelLocator : INotifyPropertyChanged {
    private object _vm;
    private readonly IViewModelFactory _viewModelFactory;

    public ViewModelLocator() {
      _viewModelFactory = new DummyViewModelFactory();
    }

    public object VM {
      get { return _vm; }
      set { _vm = value; RaisePropertyChanged("VM"); }
    }

    public string ViewName {
      get { return _viewName; }
      set { _viewName = value;
        VM = _viewModelFactory.CreateViewModelForView(_viewName);
      }
    }

    private string _viewName;

    public event PropertyChangedEventHandler PropertyChanged;

    private void RaisePropertyChanged(string propertyName) {
      if (null == PropertyChanged) return;
      PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
    }

  }
}
