﻿Imports System.ComponentModel

Namespace SimpleComboDemo
  Public Class ViewModelLocator
	  Implements INotifyPropertyChanged
	Private _vm As Object
	Private ReadOnly _viewModelFactory As IViewModelFactory

	Public Sub New()
	  _viewModelFactory = New DummyViewModelFactory()
	End Sub

	Public Property VM() As Object
	  Get
		  Return _vm
	  End Get
	  Set(ByVal value As Object)
		  _vm = value
		  RaisePropertyChanged("VM")
	  End Set
	End Property

	Public Property ViewName() As String
	  Get
		  Return _viewName
	  End Get
	  Set(ByVal value As String)
		  _viewName = value
		VM = _viewModelFactory.CreateViewModelForView(_viewName)
	  End Set
	End Property

	Private _viewName As String

	Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

	Private Sub RaisePropertyChanged(ByVal propertyName As String)
      'If Nothing Is PropertyChanged Then
      ' Return
      'End If
	  RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propertyName))
	End Sub

  End Class
End Namespace
