﻿Imports IdeaBlade.Validation

' ReSharper disable UseObjectOrCollectionInitializer

Namespace SimpleNorthwindModel
	Public Class NorthwindModelVerifierProvider
		Implements IVerifierProvider
    Public Function GetVerifiers(ByVal verifierProviderContext As Object) As IEnumerable(Of Verifier) Implements IVerifierProvider.GetVerifiers
      Dim verifiers = New List(Of Verifier) From {MakeNotEmptyGuidVerifier(Of Customer)(Customer.PropertyMetadata.CustomerID.Name), MakeNotEmptyGuidVerifier(Of Order)(Order.PropertyMetadata.CustomerID.Name)}

      Return verifiers
    End Function

		Private Shared Function MakeNotEmptyGuidVerifier(Of T)(ByVal propertyName As String) As Verifier
			Dim v As Verifier = New NotEmptyGuidVerifier(GetType(T), propertyName)
			' Set the message to display when invalid
			v.VerifierArgs.ErrorMessageInfo.ErrorMessage = String.Format("{0} cannot be empty", propertyName)
			Return v
		End Function

	End Class
End Namespace